%macro CertAddCRLContextToStore 4
	API CertAddCRLContextToStore,CRYPT32.dll
	call CertAddCRLContextToStore,%1,%2,%3,%4
%endm
%macro CertAddCRLLinkToStore 4
	API CertAddCRLLinkToStore,CRYPT32.dll
	call CertAddCRLLinkToStore,%1,%2,%3,%4
%endm
%macro CertAddCTLContextToStore 4
	API CertAddCTLContextToStore,CRYPT32.dll
	call CertAddCTLContextToStore,%1,%2,%3,%4
%endm
%macro CertAddCTLLinkToStore 4
	API CertAddCTLLinkToStore,CRYPT32.dll
	call CertAddCTLLinkToStore,%1,%2,%3,%4
%endm
%macro CertAddCertificateContextToStore 4
	API CertAddCertificateContextToStore,CRYPT32.dll
	call CertAddCertificateContextToStore,%1,%2,%3,%4
%endm
%macro CertAddCertificateLinkToStore 4
	API CertAddCertificateLinkToStore,CRYPT32.dll
	call CertAddCertificateLinkToStore,%1,%2,%3,%4
%endm
%macro CertAddEncodedCRLToStore 6
	API CertAddEncodedCRLToStore,CRYPT32.dll
	call CertAddEncodedCRLToStore,%1,%2,%3,%4,%5,%6
%endm
%macro CertAddEncodedCTLToStore 6
	API CertAddEncodedCTLToStore,CRYPT32.dll
	call CertAddEncodedCTLToStore,%1,%2,%3,%4,%5,%6
%endm
%macro CertAddEncodedCertificateToStore 6
	API CertAddEncodedCertificateToStore,CRYPT32.dll
	call CertAddEncodedCertificateToStore,%1,%2,%3,%4,%5,%6
%endm
%macro CertAddEncodedCertificateToSystemStoreA 3
	API CertAddEncodedCertificateToSystemStoreA,CRYPT32.dll
	call CertAddEncodedCertificateToSystemStoreA,%1,%2,%3
%endm
%macro CertAddEncodedCertificateToSystemStoreW 3
	API CertAddEncodedCertificateToSystemStoreW,CRYPT32.dll
	call CertAddEncodedCertificateToSystemStoreW,%1,%2,%3
%endm
%macro CertAddEnhancedKeyUsageIdentifier 2
	API CertAddEnhancedKeyUsageIdentifier,CRYPT32.dll
	call CertAddEnhancedKeyUsageIdentifier,%1,%2
%endm
%macro CertAddSerializedElementToStore 8
	API CertAddSerializedElementToStore,CRYPT32.dll
	call CertAddSerializedElementToStore,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro CertAddStoreToCollection 4
	API CertAddStoreToCollection,CRYPT32.dll
	call CertAddStoreToCollection,%1,%2,%3,%4
%endm
%macro CertAlgIdToOID 1
	API CertAlgIdToOID,CRYPT32.dll
	call CertAlgIdToOID,%1
%endm
%macro CertCloseStore 2
	API CertCloseStore,CRYPT32.dll
	call CertCloseStore,%1,%2
%endm
%macro CertCompareCertificate 3
	API CertCompareCertificate,CRYPT32.dll
	call CertCompareCertificate,%1,%2,%3
%endm
%macro CertCompareCertificateName 3
	API CertCompareCertificateName,CRYPT32.dll
	call CertCompareCertificateName,%1,%2,%3
%endm
%macro CertCompareIntegerBlob 2
	API CertCompareIntegerBlob,CRYPT32.dll
	call CertCompareIntegerBlob,%1,%2
%endm
%macro CertComparePublicKeyInfo 3
	API CertComparePublicKeyInfo,CRYPT32.dll
	call CertComparePublicKeyInfo,%1,%2,%3
%endm
%macro CertControlStore 4
	API CertControlStore,CRYPT32.dll
	call CertControlStore,%1,%2,%3,%4
%endm
%macro CertCreateCRLContext 3
	API CertCreateCRLContext,CRYPT32.dll
	call CertCreateCRLContext,%1,%2,%3
%endm
%macro CertCreateCTLContext 3
	API CertCreateCTLContext,CRYPT32.dll
	call CertCreateCTLContext,%1,%2,%3
%endm
%macro CertCreateCTLEntryFromCertificateContextProperties 7
	API CertCreateCTLEntryFromCertificateContextProperties,CRYPT32.dll
	call CertCreateCTLEntryFromCertificateContextProperties,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CertCreateCertificateChainEngine 2
	API CertCreateCertificateChainEngine,CRYPT32.dll
	call CertCreateCertificateChainEngine,%1,%2
%endm
%macro CertCreateCertificateContext 3
	API CertCreateCertificateContext,CRYPT32.dll
	call CertCreateCertificateContext,%1,%2,%3
%endm
%macro CertCreateContext 6
	API CertCreateContext,CRYPT32.dll
	call CertCreateContext,%1,%2,%3,%4,%5,%6
%endm
%macro CertCreateSelfSignCertificate 8
	API CertCreateSelfSignCertificate,CRYPT32.dll
	call CertCreateSelfSignCertificate,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro CertDeleteCRLFromStore 1
	API CertDeleteCRLFromStore,CRYPT32.dll
	call CertDeleteCRLFromStore,%1
%endm
%macro CertDeleteCTLFromStore 1
	API CertDeleteCTLFromStore,CRYPT32.dll
	call CertDeleteCTLFromStore,%1
%endm
%macro CertDeleteCertificateFromStore 1
	API CertDeleteCertificateFromStore,CRYPT32.dll
	call CertDeleteCertificateFromStore,%1
%endm
%macro CertDuplicateCRLContext 1
	API CertDuplicateCRLContext,CRYPT32.dll
	call CertDuplicateCRLContext,%1
%endm
%macro CertDuplicateCTLContext 1
	API CertDuplicateCTLContext,CRYPT32.dll
	call CertDuplicateCTLContext,%1
%endm
%macro CertDuplicateCertificateChain 1
	API CertDuplicateCertificateChain,CRYPT32.dll
	call CertDuplicateCertificateChain,%1
%endm
%macro CertDuplicateCertificateContext 1
	API CertDuplicateCertificateContext,CRYPT32.dll
	call CertDuplicateCertificateContext,%1
%endm
%macro CertDuplicateStore 1
	API CertDuplicateStore,CRYPT32.dll
	call CertDuplicateStore,%1
%endm
%macro CertEnumCRLContextProperties 2
	API CertEnumCRLContextProperties,CRYPT32.dll
	call CertEnumCRLContextProperties,%1,%2
%endm
%macro CertEnumCRLsInStore 2
	API CertEnumCRLsInStore,CRYPT32.dll
	call CertEnumCRLsInStore,%1,%2
%endm
%macro CertEnumCTLContextProperties 2
	API CertEnumCTLContextProperties,CRYPT32.dll
	call CertEnumCTLContextProperties,%1,%2
%endm
%macro CertEnumCTLsInStore 2
	API CertEnumCTLsInStore,CRYPT32.dll
	call CertEnumCTLsInStore,%1,%2
%endm
%macro CertEnumCertificateContextProperties 2
	API CertEnumCertificateContextProperties,CRYPT32.dll
	call CertEnumCertificateContextProperties,%1,%2
%endm
%macro CertEnumCertificatesInStore 2
	API CertEnumCertificatesInStore,CRYPT32.dll
	call CertEnumCertificatesInStore,%1,%2
%endm
%macro CertEnumPhysicalStore 4
	API CertEnumPhysicalStore,CRYPT32.dll
	call CertEnumPhysicalStore,%1,%2,%3,%4
%endm
%macro CertEnumSubjectInSortedCTL 4
	API CertEnumSubjectInSortedCTL,CRYPT32.dll
	call CertEnumSubjectInSortedCTL,%1,%2,%3,%4
%endm
%macro CertEnumSystemStore 4
	API CertEnumSystemStore,CRYPT32.dll
	call CertEnumSystemStore,%1,%2,%3,%4
%endm
%macro CertEnumSystemStoreLocation 3
	API CertEnumSystemStoreLocation,CRYPT32.dll
	call CertEnumSystemStoreLocation,%1,%2,%3
%endm
%macro CertFindAttribute 3
	API CertFindAttribute,CRYPT32.dll
	call CertFindAttribute,%1,%2,%3
%endm
%macro CertFindCRLInStore 6
	API CertFindCRLInStore,CRYPT32.dll
	call CertFindCRLInStore,%1,%2,%3,%4,%5,%6
%endm
%macro CertFindCTLInStore 6
	API CertFindCTLInStore,CRYPT32.dll
	call CertFindCTLInStore,%1,%2,%3,%4,%5,%6
%endm
%macro CertFindCertificateInCRL 5
	API CertFindCertificateInCRL,CRYPT32.dll
	call CertFindCertificateInCRL,%1,%2,%3,%4,%5
%endm
%macro CertFindCertificateInStore 6
	API CertFindCertificateInStore,CRYPT32.dll
	call CertFindCertificateInStore,%1,%2,%3,%4,%5,%6
%endm
%macro CertFindChainInStore 6
	API CertFindChainInStore,CRYPT32.dll
	call CertFindChainInStore,%1,%2,%3,%4,%5,%6
%endm
%macro CertFindExtension 3
	API CertFindExtension,CRYPT32.dll
	call CertFindExtension,%1,%2,%3
%endm
%macro CertFindRDNAttr 2
	API CertFindRDNAttr,CRYPT32.dll
	call CertFindRDNAttr,%1,%2
%endm
%macro CertFindSubjectInCTL 5
	API CertFindSubjectInCTL,CRYPT32.dll
	call CertFindSubjectInCTL,%1,%2,%3,%4,%5
%endm
%macro CertFindSubjectInSortedCTL 5
	API CertFindSubjectInSortedCTL,CRYPT32.dll
	call CertFindSubjectInSortedCTL,%1,%2,%3,%4,%5
%endm
%macro CertFreeCRLContext 1
	API CertFreeCRLContext,CRYPT32.dll
	call CertFreeCRLContext,%1
%endm
%macro CertFreeCTLContext 1
	API CertFreeCTLContext,CRYPT32.dll
	call CertFreeCTLContext,%1
%endm
%macro CertFreeCertificateChain 1
	API CertFreeCertificateChain,CRYPT32.dll
	call CertFreeCertificateChain,%1
%endm
%macro CertFreeCertificateChainEngine 1
	API CertFreeCertificateChainEngine,CRYPT32.dll
	call CertFreeCertificateChainEngine,%1
%endm
%macro CertFreeCertificateContext 1
	API CertFreeCertificateContext,CRYPT32.dll
	call CertFreeCertificateContext,%1
%endm
%macro CertGetCRLContextProperty 4
	API CertGetCRLContextProperty,CRYPT32.dll
	call CertGetCRLContextProperty,%1,%2,%3,%4
%endm
%macro CertGetCRLFromStore 4
	API CertGetCRLFromStore,CRYPT32.dll
	call CertGetCRLFromStore,%1,%2,%3,%4
%endm
%macro CertGetCTLContextProperty 4
	API CertGetCTLContextProperty,CRYPT32.dll
	call CertGetCTLContextProperty,%1,%2,%3,%4
%endm
%macro CertGetCertificateChain 8
	API CertGetCertificateChain,CRYPT32.dll
	call CertGetCertificateChain,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro CertGetCertificateContextProperty 4
	API CertGetCertificateContextProperty,CRYPT32.dll
	call CertGetCertificateContextProperty,%1,%2,%3,%4
%endm
%macro CertGetEnhancedKeyUsage 4
	API CertGetEnhancedKeyUsage,CRYPT32.dll
	call CertGetEnhancedKeyUsage,%1,%2,%3,%4
%endm
%macro CertGetIntendedKeyUsage 4
	API CertGetIntendedKeyUsage,CRYPT32.dll
	call CertGetIntendedKeyUsage,%1,%2,%3,%4
%endm
%macro CertGetIssuerCertificateFromStore 4
	API CertGetIssuerCertificateFromStore,CRYPT32.dll
	call CertGetIssuerCertificateFromStore,%1,%2,%3,%4
%endm
%macro CertGetNameStringA 6
	API CertGetNameStringA,CRYPT32.dll
	call CertGetNameStringA,%1,%2,%3,%4,%5,%6
%endm
%macro CertGetNameStringW 6
	API CertGetNameStringW,CRYPT32.dll
	call CertGetNameStringW,%1,%2,%3,%4,%5,%6
%endm
%macro CertGetPublicKeyLength 2
	API CertGetPublicKeyLength,CRYPT32.dll
	call CertGetPublicKeyLength,%1,%2
%endm
%macro CertGetStoreProperty 4
	API CertGetStoreProperty,CRYPT32.dll
	call CertGetStoreProperty,%1,%2,%3,%4
%endm
%macro CertGetSubjectCertificateFromStore 3
	API CertGetSubjectCertificateFromStore,CRYPT32.dll
	call CertGetSubjectCertificateFromStore,%1,%2,%3
%endm
%macro CertGetValidUsages 5
	API CertGetValidUsages,CRYPT32.dll
	call CertGetValidUsages,%1,%2,%3,%4,%5
%endm
%macro CertIsRDNAttrsInCertificateName 4
	API CertIsRDNAttrsInCertificateName,CRYPT32.dll
	call CertIsRDNAttrsInCertificateName,%1,%2,%3,%4
%endm
%macro CertIsValidCRLForCertificate 4
	API CertIsValidCRLForCertificate,CRYPT32.dll
	call CertIsValidCRLForCertificate,%1,%2,%3,%4
%endm
%macro CertNameToStrA 5
	API CertNameToStrA,CRYPT32.dll
	call CertNameToStrA,%1,%2,%3,%4,%5
%endm
%macro CertNameToStrW 5
	API CertNameToStrW,CRYPT32.dll
	call CertNameToStrW,%1,%2,%3,%4,%5
%endm
%macro CertOIDToAlgId 1
	API CertOIDToAlgId,CRYPT32.dll
	call CertOIDToAlgId,%1
%endm
%macro CertOpenStore 5
	API CertOpenStore,CRYPT32.dll
	call CertOpenStore,%1,%2,%3,%4,%5
%endm
%macro CertOpenSystemStoreA 2
	API CertOpenSystemStoreA,CRYPT32.dll
	call CertOpenSystemStoreA,%1,%2
%endm
%macro CertOpenSystemStoreW 2
	API CertOpenSystemStoreW,CRYPT32.dll
	call CertOpenSystemStoreW,%1,%2
%endm
%macro CertRDNValueToStrA 4
	API CertRDNValueToStrA,CRYPT32.dll
	call CertRDNValueToStrA,%1,%2,%3,%4
%endm
%macro CertRDNValueToStrW 4
	API CertRDNValueToStrW,CRYPT32.dll
	call CertRDNValueToStrW,%1,%2,%3,%4
%endm
%macro CertRegisterPhysicalStore 5
	API CertRegisterPhysicalStore,CRYPT32.dll
	call CertRegisterPhysicalStore,%1,%2,%3,%4,%5
%endm
%macro CertRegisterSystemStore 4
	API CertRegisterSystemStore,CRYPT32.dll
	call CertRegisterSystemStore,%1,%2,%3,%4
%endm
%macro CertRemoveEnhancedKeyUsageIdentifier 2
	API CertRemoveEnhancedKeyUsageIdentifier,CRYPT32.dll
	call CertRemoveEnhancedKeyUsageIdentifier,%1,%2
%endm
%macro CertRemoveStoreFromCollection 2
	API CertRemoveStoreFromCollection,CRYPT32.dll
	call CertRemoveStoreFromCollection,%1,%2
%endm
%macro CertResyncCertificateChainEngine 1
	API CertResyncCertificateChainEngine,CRYPT32.dll
	call CertResyncCertificateChainEngine,%1
%endm
%macro CertSaveStore 6
	API CertSaveStore,CRYPT32.dll
	call CertSaveStore,%1,%2,%3,%4,%5,%6
%endm
%macro CertSerializeCRLStoreElement 4
	API CertSerializeCRLStoreElement,CRYPT32.dll
	call CertSerializeCRLStoreElement,%1,%2,%3,%4
%endm
%macro CertSerializeCTLStoreElement 4
	API CertSerializeCTLStoreElement,CRYPT32.dll
	call CertSerializeCTLStoreElement,%1,%2,%3,%4
%endm
%macro CertSerializeCertificateStoreElement 4
	API CertSerializeCertificateStoreElement,CRYPT32.dll
	call CertSerializeCertificateStoreElement,%1,%2,%3,%4
%endm
%macro CertSetCRLContextProperty 4
	API CertSetCRLContextProperty,CRYPT32.dll
	call CertSetCRLContextProperty,%1,%2,%3,%4
%endm
%macro CertSetCTLContextProperty 4
	API CertSetCTLContextProperty,CRYPT32.dll
	call CertSetCTLContextProperty,%1,%2,%3,%4
%endm
%macro CertSetCertificateContextPropertiesFromCTLEntry 3
	API CertSetCertificateContextPropertiesFromCTLEntry,CRYPT32.dll
	call CertSetCertificateContextPropertiesFromCTLEntry,%1,%2,%3
%endm
%macro CertSetCertificateContextProperty 4
	API CertSetCertificateContextProperty,CRYPT32.dll
	call CertSetCertificateContextProperty,%1,%2,%3,%4
%endm
%macro CertSetEnhancedKeyUsage 2
	API CertSetEnhancedKeyUsage,CRYPT32.dll
	call CertSetEnhancedKeyUsage,%1,%2
%endm
%macro CertSetStoreProperty 4
	API CertSetStoreProperty,CRYPT32.dll
	call CertSetStoreProperty,%1,%2,%3,%4
%endm
%macro CertStrToNameA 7
	API CertStrToNameA,CRYPT32.dll
	call CertStrToNameA,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CertStrToNameW 7
	API CertStrToNameW,CRYPT32.dll
	call CertStrToNameW,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CertUnregisterPhysicalStore 3
	API CertUnregisterPhysicalStore,CRYPT32.dll
	call CertUnregisterPhysicalStore,%1,%2,%3
%endm
%macro CertUnregisterSystemStore 2
	API CertUnregisterSystemStore,CRYPT32.dll
	call CertUnregisterSystemStore,%1,%2
%endm
%macro CertVerifyCRLRevocation 4
	API CertVerifyCRLRevocation,CRYPT32.dll
	call CertVerifyCRLRevocation,%1,%2,%3,%4
%endm
%macro CertVerifyCRLTimeValidity 2
	API CertVerifyCRLTimeValidity,CRYPT32.dll
	call CertVerifyCRLTimeValidity,%1,%2
%endm
%macro CertVerifyCTLUsage 7
	API CertVerifyCTLUsage,CRYPT32.dll
	call CertVerifyCTLUsage,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CertVerifyCertificateChainPolicy 4
	API CertVerifyCertificateChainPolicy,CRYPT32.dll
	call CertVerifyCertificateChainPolicy,%1,%2,%3,%4
%endm
%macro CertVerifyRevocation 7
	API CertVerifyRevocation,CRYPT32.dll
	call CertVerifyRevocation,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CertVerifySubjectCertificateContext 3
	API CertVerifySubjectCertificateContext,CRYPT32.dll
	call CertVerifySubjectCertificateContext,%1,%2,%3
%endm
%macro CertVerifyTimeValidity 2
	API CertVerifyTimeValidity,CRYPT32.dll
	call CertVerifyTimeValidity,%1,%2
%endm
%macro CertVerifyValidityNesting 2
	API CertVerifyValidityNesting,CRYPT32.dll
	call CertVerifyValidityNesting,%1,%2
%endm
%macro CryptAcquireCertificatePrivateKey 6
	API CryptAcquireCertificatePrivateKey,CRYPT32.dll
	call CryptAcquireCertificatePrivateKey,%1,%2,%3,%4,%5,%6
%endm
%macro CryptBinaryToStringA 5
	API CryptBinaryToStringA,CRYPT32.dll
	call CryptBinaryToStringA,%1,%2,%3,%4,%5
%endm
%macro CryptBinaryToStringW 5
	API CryptBinaryToStringW,CRYPT32.dll
	call CryptBinaryToStringW,%1,%2,%3,%4,%5
%endm
%macro CryptCloseAsyncHandle 1
	API CryptCloseAsyncHandle,CRYPT32.dll
	call CryptCloseAsyncHandle,%1
%endm
%macro CryptCreateAsyncHandle 2
	API CryptCreateAsyncHandle,CRYPT32.dll
	call CryptCreateAsyncHandle,%1,%2
%endm
%macro CryptCreateKeyIdentifierFromCSP 8
	API CryptCreateKeyIdentifierFromCSP,CRYPT32.dll
	call CryptCreateKeyIdentifierFromCSP,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro CryptDecodeMessage 13
	API CryptDecodeMessage,CRYPT32.dll
	call CryptDecodeMessage,%1,%2,%3,%4,%5,%6,%7,%8,%9,%10,%11,%12,%13
%endm
%macro CryptDecodeObject 7
	API CryptDecodeObject,CRYPT32.dll
	call CryptDecodeObject,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptDecodeObjectEx 8
	API CryptDecodeObjectEx,CRYPT32.dll
	call CryptDecodeObjectEx,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro CryptDecryptAndVerifyMessageSignature 9
	API CryptDecryptAndVerifyMessageSignature,CRYPT32.dll
	call CryptDecryptAndVerifyMessageSignature,%1,%2,%3,%4,%5,%6,%7,%8,%9
%endm
%macro CryptDecryptMessage 6
	API CryptDecryptMessage,CRYPT32.dll
	call CryptDecryptMessage,%1,%2,%3,%4,%5,%6
%endm
%macro CryptEncodeObject 5
	API CryptEncodeObject,CRYPT32.dll
	call CryptEncodeObject,%1,%2,%3,%4,%5
%endm
%macro CryptEncodeObjectEx 7
	API CryptEncodeObjectEx,CRYPT32.dll
	call CryptEncodeObjectEx,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptEncryptMessage 7
	API CryptEncryptMessage,CRYPT32.dll
	call CryptEncryptMessage,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptEnumKeyIdentifierProperties 7
	API CryptEnumKeyIdentifierProperties,CRYPT32.dll
	call CryptEnumKeyIdentifierProperties,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptEnumOIDFunction 6
	API CryptEnumOIDFunction,CRYPT32.dll
	call CryptEnumOIDFunction,%1,%2,%3,%4,%5,%6
%endm
%macro CryptEnumOIDInfo 4
	API CryptEnumOIDInfo,CRYPT32.dll
	call CryptEnumOIDInfo,%1,%2,%3,%4
%endm
%macro CryptExportPKCS8 7
	API CryptExportPKCS8,CRYPT32.dll
	call CryptExportPKCS8,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptExportPublicKeyInfo 5
	API CryptExportPublicKeyInfo,CRYPT32.dll
	call CryptExportPublicKeyInfo,%1,%2,%3,%4,%5
%endm
%macro CryptExportPublicKeyInfoEx 8
	API CryptExportPublicKeyInfoEx,CRYPT32.dll
	call CryptExportPublicKeyInfoEx,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro CryptFindCertificateKeyProvInfo 3
	API CryptFindCertificateKeyProvInfo,CRYPT32.dll
	call CryptFindCertificateKeyProvInfo,%1,%2,%3
%endm
%macro CryptFindLocalizedName 1
	API CryptFindLocalizedName,CRYPT32.dll
	call CryptFindLocalizedName,%1
%endm
%macro CryptFindOIDInfo 3
	API CryptFindOIDInfo,CRYPT32.dll
	call CryptFindOIDInfo,%1,%2,%3
%endm
%macro CryptFormatObject 9
	API CryptFormatObject,CRYPT32.dll
	call CryptFormatObject,%1,%2,%3,%4,%5,%6,%7,%8,%9
%endm
%macro CryptFreeOIDFunctionAddress 2
	API CryptFreeOIDFunctionAddress,CRYPT32.dll
	call CryptFreeOIDFunctionAddress,%1,%2
%endm
%macro CryptGetAsyncParam 4
	API CryptGetAsyncParam,CRYPT32.dll
	call CryptGetAsyncParam,%1,%2,%3,%4
%endm
%macro CryptGetDefaultOIDDllList 4
	API CryptGetDefaultOIDDllList,CRYPT32.dll
	call CryptGetDefaultOIDDllList,%1,%2,%3,%4
%endm
%macro CryptGetDefaultOIDFunctionAddress 6
	API CryptGetDefaultOIDFunctionAddress,CRYPT32.dll
	call CryptGetDefaultOIDFunctionAddress,%1,%2,%3,%4,%5,%6
%endm
%macro CryptGetKeyIdentifierProperty 7
	API CryptGetKeyIdentifierProperty,CRYPT32.dll
	call CryptGetKeyIdentifierProperty,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptGetMessageCertificates 5
	API CryptGetMessageCertificates,CRYPT32.dll
	call CryptGetMessageCertificates,%1,%2,%3,%4,%5
%endm
%macro CryptGetMessageSignerCount 3
	API CryptGetMessageSignerCount,CRYPT32.dll
	call CryptGetMessageSignerCount,%1,%2,%3
%endm
%macro CryptGetOIDFunctionAddress 6
	API CryptGetOIDFunctionAddress,CRYPT32.dll
	call CryptGetOIDFunctionAddress,%1,%2,%3,%4,%5,%6
%endm
%macro CryptGetOIDFunctionValue 7
	API CryptGetOIDFunctionValue,CRYPT32.dll
	call CryptGetOIDFunctionValue,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptHashCertificate 7
	API CryptHashCertificate,CRYPT32.dll
	call CryptHashCertificate,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptHashMessage 9
	API CryptHashMessage,CRYPT32.dll
	call CryptHashMessage,%1,%2,%3,%4,%5,%6,%7,%8,%9
%endm
%macro CryptHashPublicKeyInfo 7
	API CryptHashPublicKeyInfo,CRYPT32.dll
	call CryptHashPublicKeyInfo,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptHashToBeSigned 6
	API CryptHashToBeSigned,CRYPT32.dll
	call CryptHashToBeSigned,%1,%2,%3,%4,%5,%6
%endm
%macro CryptImportPKCS8 9
	API CryptImportPKCS8,CRYPT32.dll
	call CryptImportPKCS8,%1,%2,%3,%4,%5,%6,%7,%8,%9
%endm
%macro CryptImportPublicKeyInfo 4
	API CryptImportPublicKeyInfo,CRYPT32.dll
	call CryptImportPublicKeyInfo,%1,%2,%3,%4
%endm
%macro CryptImportPublicKeyInfoEx 7
	API CryptImportPublicKeyInfoEx,CRYPT32.dll
	call CryptImportPublicKeyInfoEx,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptInitOIDFunctionSet 2
	API CryptInitOIDFunctionSet,CRYPT32.dll
	call CryptInitOIDFunctionSet,%1,%2
%endm
%macro CryptInstallDefaultContext 6
	API CryptInstallDefaultContext,CRYPT32.dll
	call CryptInstallDefaultContext,%1,%2,%3,%4,%5,%6
%endm
%macro CryptInstallOIDFunctionAddress 6
	API CryptInstallOIDFunctionAddress,CRYPT32.dll
	call CryptInstallOIDFunctionAddress,%1,%2,%3,%4,%5,%6
%endm
%macro CryptLoadSip 3
	API CryptLoadSip,CRYPT32.dll
	call CryptLoadSip,%1,%2,%3
%endm
%macro CryptMemAlloc 1
	API CryptMemAlloc,CRYPT32.dll
	call CryptMemAlloc,%1
%endm
%macro CryptMemFree 1
	API CryptMemFree,CRYPT32.dll
	call CryptMemFree,%1
%endm
%macro CryptMemRealloc 2
	API CryptMemRealloc,CRYPT32.dll
	call CryptMemRealloc,%1,%2
%endm
%macro CryptMsgCalculateEncodedLength 6
	API CryptMsgCalculateEncodedLength,CRYPT32.dll
	call CryptMsgCalculateEncodedLength,%1,%2,%3,%4,%5,%6
%endm
%macro CryptMsgClose 1
	API CryptMsgClose,CRYPT32.dll
	call CryptMsgClose,%1
%endm
%macro CryptMsgControl 4
	API CryptMsgControl,CRYPT32.dll
	call CryptMsgControl,%1,%2,%3,%4
%endm
%macro CryptMsgCountersign 4
	API CryptMsgCountersign,CRYPT32.dll
	call CryptMsgCountersign,%1,%2,%3,%4
%endm
%macro CryptMsgCountersignEncoded 7
	API CryptMsgCountersignEncoded,CRYPT32.dll
	call CryptMsgCountersignEncoded,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptMsgDuplicate 1
	API CryptMsgDuplicate,CRYPT32.dll
	call CryptMsgDuplicate,%1
%endm
%macro CryptMsgEncodeAndSignCTL 6
	API CryptMsgEncodeAndSignCTL,CRYPT32.dll
	call CryptMsgEncodeAndSignCTL,%1,%2,%3,%4,%5,%6
%endm
%macro CryptMsgGetAndVerifySigner 6
	API CryptMsgGetAndVerifySigner,CRYPT32.dll
	call CryptMsgGetAndVerifySigner,%1,%2,%3,%4,%5,%6
%endm
%macro CryptMsgGetParam 5
	API CryptMsgGetParam,CRYPT32.dll
	call CryptMsgGetParam,%1,%2,%3,%4,%5
%endm
%macro CryptMsgOpenToDecode 6
	API CryptMsgOpenToDecode,CRYPT32.dll
	call CryptMsgOpenToDecode,%1,%2,%3,%4,%5,%6
%endm
%macro CryptMsgOpenToEncode 6
	API CryptMsgOpenToEncode,CRYPT32.dll
	call CryptMsgOpenToEncode,%1,%2,%3,%4,%5,%6
%endm
%macro CryptMsgSignCTL 7
	API CryptMsgSignCTL,CRYPT32.dll
	call CryptMsgSignCTL,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptMsgUpdate 4
	API CryptMsgUpdate,CRYPT32.dll
	call CryptMsgUpdate,%1,%2,%3,%4
%endm
%macro CryptMsgVerifyCountersignatureEncoded 7
	API CryptMsgVerifyCountersignatureEncoded,CRYPT32.dll
	call CryptMsgVerifyCountersignatureEncoded,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptMsgVerifyCountersignatureEncodedEx 10
	API CryptMsgVerifyCountersignatureEncodedEx,CRYPT32.dll
	call CryptMsgVerifyCountersignatureEncodedEx,%1,%2,%3,%4,%5,%6,%7,%8,%9,%10
%endm
%macro CryptProtectData 7
	API CryptProtectData,CRYPT32.dll
	call CryptProtectData,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptProtectMemory 3
	API CryptProtectMemory,CRYPT32.dll
	call CryptProtectMemory,%1,%2,%3
%endm
%macro CryptQueryObject 11
	API CryptQueryObject,CRYPT32.dll
	call CryptQueryObject,%1,%2,%3,%4,%5,%6,%7,%8,%9,%10,%11
%endm
%macro CryptRegisterDefaultOIDFunction 4
	API CryptRegisterDefaultOIDFunction,CRYPT32.dll
	call CryptRegisterDefaultOIDFunction,%1,%2,%3,%4
%endm
%macro CryptRegisterOIDFunction 5
	API CryptRegisterOIDFunction,CRYPT32.dll
	call CryptRegisterOIDFunction,%1,%2,%3,%4,%5
%endm
%macro CryptRegisterOIDInfo 2
	API CryptRegisterOIDInfo,CRYPT32.dll
	call CryptRegisterOIDInfo,%1,%2
%endm
%macro CryptSIPAddProvider 1
	API CryptSIPAddProvider,CRYPT32.dll
	call CryptSIPAddProvider,%1
%endm
%macro CryptSIPCreateIndirectData 3
	API CryptSIPCreateIndirectData,CRYPT32.dll
	call CryptSIPCreateIndirectData,%1,%2,%3
%endm
%macro CryptSIPGetSignedDataMsg 5
	API CryptSIPGetSignedDataMsg,CRYPT32.dll
	call CryptSIPGetSignedDataMsg,%1,%2,%3,%4,%5
%endm
%macro CryptSIPLoad 3
	API CryptSIPLoad,CRYPT32.dll
	call CryptSIPLoad,%1,%2,%3
%endm
%macro CryptSIPPutSignedDataMsg 5
	API CryptSIPPutSignedDataMsg,CRYPT32.dll
	call CryptSIPPutSignedDataMsg,%1,%2,%3,%4,%5
%endm
%macro CryptSIPRemoveProvider 1
	API CryptSIPRemoveProvider,CRYPT32.dll
	call CryptSIPRemoveProvider,%1
%endm
%macro CryptSIPRemoveSignedDataMsg 2
	API CryptSIPRemoveSignedDataMsg,CRYPT32.dll
	call CryptSIPRemoveSignedDataMsg,%1,%2
%endm
%macro CryptSIPRetrieveSubjectGuid 3
	API CryptSIPRetrieveSubjectGuid,CRYPT32.dll
	call CryptSIPRetrieveSubjectGuid,%1,%2,%3
%endm
%macro CryptSIPRetrieveSubjectGuidForCatalogFile 3
	API CryptSIPRetrieveSubjectGuidForCatalogFile,CRYPT32.dll
	call CryptSIPRetrieveSubjectGuidForCatalogFile,%1,%2,%3
%endm
%macro CryptSIPVerifyIndirectData 2
	API CryptSIPVerifyIndirectData,CRYPT32.dll
	call CryptSIPVerifyIndirectData,%1,%2
%endm
%macro CryptSetAsyncParam 4
	API CryptSetAsyncParam,CRYPT32.dll
	call CryptSetAsyncParam,%1,%2,%3,%4
%endm
%macro CryptSetKeyIdentifierProperty 6
	API CryptSetKeyIdentifierProperty,CRYPT32.dll
	call CryptSetKeyIdentifierProperty,%1,%2,%3,%4,%5,%6
%endm
%macro CryptSetOIDFunctionValue 7
	API CryptSetOIDFunctionValue,CRYPT32.dll
	call CryptSetOIDFunctionValue,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptSignAndEncodeCertificate 9
	API CryptSignAndEncodeCertificate,CRYPT32.dll
	call CryptSignAndEncodeCertificate,%1,%2,%3,%4,%5,%6,%7,%8,%9
%endm
%macro CryptSignAndEncryptMessage 8
	API CryptSignAndEncryptMessage,CRYPT32.dll
	call CryptSignAndEncryptMessage,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro CryptSignCertificate 9
	API CryptSignCertificate,CRYPT32.dll
	call CryptSignCertificate,%1,%2,%3,%4,%5,%6,%7,%8,%9
%endm
%macro CryptSignMessage 7
	API CryptSignMessage,CRYPT32.dll
	call CryptSignMessage,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptSignMessageWithKey 5
	API CryptSignMessageWithKey,CRYPT32.dll
	call CryptSignMessageWithKey,%1,%2,%3,%4,%5
%endm
%macro CryptStringToBinaryA 7
	API CryptStringToBinaryA,CRYPT32.dll
	call CryptStringToBinaryA,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptStringToBinaryW 7
	API CryptStringToBinaryW,CRYPT32.dll
	call CryptStringToBinaryW,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptUninstallDefaultContext 3
	API CryptUninstallDefaultContext,CRYPT32.dll
	call CryptUninstallDefaultContext,%1,%2,%3
%endm
%macro CryptUnprotectData 7
	API CryptUnprotectData,CRYPT32.dll
	call CryptUnprotectData,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptUnprotectMemory 3
	API CryptUnprotectMemory,CRYPT32.dll
	call CryptUnprotectMemory,%1,%2,%3
%endm
%macro CryptUnregisterDefaultOIDFunction 3
	API CryptUnregisterDefaultOIDFunction,CRYPT32.dll
	call CryptUnregisterDefaultOIDFunction,%1,%2,%3
%endm
%macro CryptUnregisterOIDFunction 3
	API CryptUnregisterOIDFunction,CRYPT32.dll
	call CryptUnregisterOIDFunction,%1,%2,%3
%endm
%macro CryptUnregisterOIDInfo 1
	API CryptUnregisterOIDInfo,CRYPT32.dll
	call CryptUnregisterOIDInfo,%1
%endm
%macro CryptVerifyCertificateSignature 5
	API CryptVerifyCertificateSignature,CRYPT32.dll
	call CryptVerifyCertificateSignature,%1,%2,%3,%4,%5
%endm
%macro CryptVerifyCertificateSignatureEx 8
	API CryptVerifyCertificateSignatureEx,CRYPT32.dll
	call CryptVerifyCertificateSignatureEx,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro CryptVerifyDetachedMessageHash 8
	API CryptVerifyDetachedMessageHash,CRYPT32.dll
	call CryptVerifyDetachedMessageHash,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro CryptVerifyDetachedMessageSignature 8
	API CryptVerifyDetachedMessageSignature,CRYPT32.dll
	call CryptVerifyDetachedMessageSignature,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro CryptVerifyMessageHash 7
	API CryptVerifyMessageHash,CRYPT32.dll
	call CryptVerifyMessageHash,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptVerifyMessageSignature 7
	API CryptVerifyMessageSignature,CRYPT32.dll
	call CryptVerifyMessageSignature,%1,%2,%3,%4,%5,%6,%7
%endm
%macro CryptVerifyMessageSignatureWithKey 6
	API CryptVerifyMessageSignatureWithKey,CRYPT32.dll
	call CryptVerifyMessageSignatureWithKey,%1,%2,%3,%4,%5,%6
%endm
%macro DbgInitOSS 1
	API DbgInitOSS,CRYPT32.dll
	call DbgInitOSS,%1
%endm
%macro DbgPrintf 0
	API DbgPrintf,CRYPT32.dll
	call DbgPrintf
%endm
%macro PFXExportCertStore 4
	API PFXExportCertStore,CRYPT32.dll
	call PFXExportCertStore,%1,%2,%3,%4
%endm
%macro PFXExportCertStoreEx 5
	API PFXExportCertStoreEx,CRYPT32.dll
	call PFXExportCertStoreEx,%1,%2,%3,%4,%5
%endm
%macro PFXImportCertStore 3
	API PFXImportCertStore,CRYPT32.dll
	call PFXImportCertStore,%1,%2,%3
%endm
%macro PFXIsPFXBlob 1
	API PFXIsPFXBlob,CRYPT32.dll
	call PFXIsPFXBlob,%1
%endm
%macro PFXVerifyPassword 3
	API PFXVerifyPassword,CRYPT32.dll
	call PFXVerifyPassword,%1,%2,%3
%endm
