%macro AccessNtmsLibraryDoor 3
	API AccessNtmsLibraryDoor,NTMSAPI.dll
	call AccessNtmsLibraryDoor,%1,%2,%3
%endm
%macro AddNtmsMediaType 3
	API AddNtmsMediaType,NTMSAPI.dll
	call AddNtmsMediaType,%1,%2,%3
%endm
%macro AllocateNtmsMedia 7
	API AllocateNtmsMedia,NTMSAPI.dll
	call AllocateNtmsMedia,%1,%2,%3,%4,%5,%6,%7
%endm
%macro BeginNtmsDeviceChangeDetection 2
	API BeginNtmsDeviceChangeDetection,NTMSAPI.dll
	call BeginNtmsDeviceChangeDetection,%1,%2
%endm
%macro CancelNtmsLibraryRequest 2
	API CancelNtmsLibraryRequest,NTMSAPI.dll
	call CancelNtmsLibraryRequest,%1,%2
%endm
%macro CancelNtmsOperatorRequest 2
	API CancelNtmsOperatorRequest,NTMSAPI.dll
	call CancelNtmsOperatorRequest,%1,%2
%endm
%macro ChangeNtmsMediaType 3
	API ChangeNtmsMediaType,NTMSAPI.dll
	call ChangeNtmsMediaType,%1,%2,%3
%endm
%macro CleanNtmsDrive 2
	API CleanNtmsDrive,NTMSAPI.dll
	call CleanNtmsDrive,%1,%2
%endm
%macro CloseNtmsNotification 1
	API CloseNtmsNotification,NTMSAPI.dll
	call CloseNtmsNotification,%1
%endm
%macro CloseNtmsSession 1
	API CloseNtmsSession,NTMSAPI.dll
	call CloseNtmsSession,%1
%endm
%macro CreateNtmsMediaA 4
	API CreateNtmsMediaA,NTMSAPI.dll
	call CreateNtmsMediaA,%1,%2,%3,%4
%endm
%macro CreateNtmsMediaPoolA 6
	API CreateNtmsMediaPoolA,NTMSAPI.dll
	call CreateNtmsMediaPoolA,%1,%2,%3,%4,%5,%6
%endm
%macro CreateNtmsMediaPoolW 6
	API CreateNtmsMediaPoolW,NTMSAPI.dll
	call CreateNtmsMediaPoolW,%1,%2,%3,%4,%5,%6
%endm
%macro CreateNtmsMediaW 4
	API CreateNtmsMediaW,NTMSAPI.dll
	call CreateNtmsMediaW,%1,%2,%3,%4
%endm
%macro DeallocateNtmsMedia 3
	API DeallocateNtmsMedia,NTMSAPI.dll
	call DeallocateNtmsMedia,%1,%2,%3
%endm
%macro DecommissionNtmsMedia 2
	API DecommissionNtmsMedia,NTMSAPI.dll
	call DecommissionNtmsMedia,%1,%2
%endm
%macro DeleteNtmsDrive 2
	API DeleteNtmsDrive,NTMSAPI.dll
	call DeleteNtmsDrive,%1,%2
%endm
%macro DeleteNtmsLibrary 2
	API DeleteNtmsLibrary,NTMSAPI.dll
	call DeleteNtmsLibrary,%1,%2
%endm
%macro DeleteNtmsMedia 2
	API DeleteNtmsMedia,NTMSAPI.dll
	call DeleteNtmsMedia,%1,%2
%endm
%macro DeleteNtmsMediaPool 2
	API DeleteNtmsMediaPool,NTMSAPI.dll
	call DeleteNtmsMediaPool,%1,%2
%endm
%macro DeleteNtmsMediaType 3
	API DeleteNtmsMediaType,NTMSAPI.dll
	call DeleteNtmsMediaType,%1,%2,%3
%endm
%macro DeleteNtmsRequests 4
	API DeleteNtmsRequests,NTMSAPI.dll
	call DeleteNtmsRequests,%1,%2,%3,%4
%endm
%macro DisableNtmsObject 3
	API DisableNtmsObject,NTMSAPI.dll
	call DisableNtmsObject,%1,%2,%3
%endm
%macro DismountNtmsDrive 2
	API DismountNtmsDrive,NTMSAPI.dll
	call DismountNtmsDrive,%1,%2
%endm
%macro DismountNtmsMedia 4
	API DismountNtmsMedia,NTMSAPI.dll
	call DismountNtmsMedia,%1,%2,%3,%4
%endm
%macro DoEjectFromSADriveW 6
	API DoEjectFromSADriveW,NTMSAPI.dll
	call DoEjectFromSADriveW,%1,%2,%3,%4,%5,%6
%endm
%macro EjectDiskFromSADriveA 7
	API EjectDiskFromSADriveA,NTMSAPI.dll
	call EjectDiskFromSADriveA,%1,%2,%3,%4,%5,%6,%7
%endm
%macro EjectDiskFromSADriveW 7
	API EjectDiskFromSADriveW,NTMSAPI.dll
	call EjectDiskFromSADriveW,%1,%2,%3,%4,%5,%6,%7
%endm
%macro EjectNtmsCleaner 4
	API EjectNtmsCleaner,NTMSAPI.dll
	call EjectNtmsCleaner,%1,%2,%3,%4
%endm
%macro EjectNtmsMedia 4
	API EjectNtmsMedia,NTMSAPI.dll
	call EjectNtmsMedia,%1,%2,%3,%4
%endm
%macro EnableNtmsObject 3
	API EnableNtmsObject,NTMSAPI.dll
	call EnableNtmsObject,%1,%2,%3
%endm
%macro EndNtmsDeviceChangeDetection 2
	API EndNtmsDeviceChangeDetection,NTMSAPI.dll
	call EndNtmsDeviceChangeDetection,%1,%2
%endm
%macro EnumerateNtmsObject 6
	API EnumerateNtmsObject,NTMSAPI.dll
	call EnumerateNtmsObject,%1,%2,%3,%4,%5,%6
%endm
%macro ExportNtmsDatabase 1
	API ExportNtmsDatabase,NTMSAPI.dll
	call ExportNtmsDatabase,%1
%endm
%macro GetNtmsMediaPoolNameA 4
	API GetNtmsMediaPoolNameA,NTMSAPI.dll
	call GetNtmsMediaPoolNameA,%1,%2,%3,%4
%endm
%macro GetNtmsMediaPoolNameW 4
	API GetNtmsMediaPoolNameW,NTMSAPI.dll
	call GetNtmsMediaPoolNameW,%1,%2,%3,%4
%endm
%macro GetNtmsObjectAttributeA 6
	API GetNtmsObjectAttributeA,NTMSAPI.dll
	call GetNtmsObjectAttributeA,%1,%2,%3,%4,%5,%6
%endm
%macro GetNtmsObjectAttributeW 6
	API GetNtmsObjectAttributeW,NTMSAPI.dll
	call GetNtmsObjectAttributeW,%1,%2,%3,%4,%5,%6
%endm
%macro GetNtmsObjectInformationA 3
	API GetNtmsObjectInformationA,NTMSAPI.dll
	call GetNtmsObjectInformationA,%1,%2,%3
%endm
%macro GetNtmsObjectInformationW 3
	API GetNtmsObjectInformationW,NTMSAPI.dll
	call GetNtmsObjectInformationW,%1,%2,%3
%endm
%macro GetNtmsObjectSecurity 7
	API GetNtmsObjectSecurity,NTMSAPI.dll
	call GetNtmsObjectSecurity,%1,%2,%3,%4,%5,%6,%7
%endm
%macro GetNtmsRequestOrder 3
	API GetNtmsRequestOrder,NTMSAPI.dll
	call GetNtmsRequestOrder,%1,%2,%3
%endm
%macro GetNtmsUIOptionsA 5
	API GetNtmsUIOptionsA,NTMSAPI.dll
	call GetNtmsUIOptionsA,%1,%2,%3,%4,%5
%endm
%macro GetNtmsUIOptionsW 5
	API GetNtmsUIOptionsW,NTMSAPI.dll
	call GetNtmsUIOptionsW,%1,%2,%3,%4,%5
%endm
%macro GetVolumesFromDriveA 3
	API GetVolumesFromDriveA,NTMSAPI.dll
	call GetVolumesFromDriveA,%1,%2,%3
%endm
%macro GetVolumesFromDriveW 3
	API GetVolumesFromDriveW,NTMSAPI.dll
	call GetVolumesFromDriveW,%1,%2,%3
%endm
%macro IdentifyNtmsSlot 3
	API IdentifyNtmsSlot,NTMSAPI.dll
	call IdentifyNtmsSlot,%1,%2,%3
%endm
%macro ImportNtmsDatabase 1
	API ImportNtmsDatabase,NTMSAPI.dll
	call ImportNtmsDatabase,%1
%endm
%macro InjectNtmsCleaner 5
	API InjectNtmsCleaner,NTMSAPI.dll
	call InjectNtmsCleaner,%1,%2,%3,%4,%5
%endm
%macro InjectNtmsMedia 4
	API InjectNtmsMedia,NTMSAPI.dll
	call InjectNtmsMedia,%1,%2,%3,%4
%endm
%macro InventoryNtmsLibrary 3
	API InventoryNtmsLibrary,NTMSAPI.dll
	call InventoryNtmsLibrary,%1,%2,%3
%endm
%macro MountNtmsMedia 8
	API MountNtmsMedia,NTMSAPI.dll
	call MountNtmsMedia,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro MoveToNtmsMediaPool 3
	API MoveToNtmsMediaPool,NTMSAPI.dll
	call MoveToNtmsMediaPool,%1,%2,%3
%endm
%macro OpenNtmsNotification 2
	API OpenNtmsNotification,NTMSAPI.dll
	call OpenNtmsNotification,%1,%2
%endm
%macro OpenNtmsSessionA 3
	API OpenNtmsSessionA,NTMSAPI.dll
	call OpenNtmsSessionA,%1,%2,%3
%endm
%macro OpenNtmsSessionW 3
	API OpenNtmsSessionW,NTMSAPI.dll
	call OpenNtmsSessionW,%1,%2,%3
%endm
%macro ReleaseNtmsCleanerSlot 2
	API ReleaseNtmsCleanerSlot,NTMSAPI.dll
	call ReleaseNtmsCleanerSlot,%1,%2
%endm
%macro ReserveNtmsCleanerSlot 3
	API ReserveNtmsCleanerSlot,NTMSAPI.dll
	call ReserveNtmsCleanerSlot,%1,%2,%3
%endm
%macro SatisfyNtmsOperatorRequest 2
	API SatisfyNtmsOperatorRequest,NTMSAPI.dll
	call SatisfyNtmsOperatorRequest,%1,%2
%endm
%macro SetNtmsDeviceChangeDetection 5
	API SetNtmsDeviceChangeDetection,NTMSAPI.dll
	call SetNtmsDeviceChangeDetection,%1,%2,%3,%4,%5
%endm
%macro SetNtmsMediaComplete 2
	API SetNtmsMediaComplete,NTMSAPI.dll
	call SetNtmsMediaComplete,%1,%2
%endm
%macro SetNtmsObjectAttributeA 6
	API SetNtmsObjectAttributeA,NTMSAPI.dll
	call SetNtmsObjectAttributeA,%1,%2,%3,%4,%5,%6
%endm
%macro SetNtmsObjectAttributeW 6
	API SetNtmsObjectAttributeW,NTMSAPI.dll
	call SetNtmsObjectAttributeW,%1,%2,%3,%4,%5,%6
%endm
%macro SetNtmsObjectInformationA 3
	API SetNtmsObjectInformationA,NTMSAPI.dll
	call SetNtmsObjectInformationA,%1,%2,%3
%endm
%macro SetNtmsObjectInformationW 3
	API SetNtmsObjectInformationW,NTMSAPI.dll
	call SetNtmsObjectInformationW,%1,%2,%3
%endm
%macro SetNtmsObjectSecurity 5
	API SetNtmsObjectSecurity,NTMSAPI.dll
	call SetNtmsObjectSecurity,%1,%2,%3,%4,%5
%endm
%macro SetNtmsRequestOrder 3
	API SetNtmsRequestOrder,NTMSAPI.dll
	call SetNtmsRequestOrder,%1,%2,%3
%endm
%macro SetNtmsUIOptionsA 5
	API SetNtmsUIOptionsA,NTMSAPI.dll
	call SetNtmsUIOptionsA,%1,%2,%3,%4,%5
%endm
%macro SetNtmsUIOptionsW 5
	API SetNtmsUIOptionsW,NTMSAPI.dll
	call SetNtmsUIOptionsW,%1,%2,%3,%4,%5
%endm
%macro SubmitNtmsOperatorRequestA 6
	API SubmitNtmsOperatorRequestA,NTMSAPI.dll
	call SubmitNtmsOperatorRequestA,%1,%2,%3,%4,%5,%6
%endm
%macro SubmitNtmsOperatorRequestW 6
	API SubmitNtmsOperatorRequestW,NTMSAPI.dll
	call SubmitNtmsOperatorRequestW,%1,%2,%3,%4,%5,%6
%endm
%macro SwapNtmsMedia 3
	API SwapNtmsMedia,NTMSAPI.dll
	call SwapNtmsMedia,%1,%2,%3
%endm
%macro UpdateNtmsOmidInfo 5
	API UpdateNtmsOmidInfo,NTMSAPI.dll
	call UpdateNtmsOmidInfo,%1,%2,%3,%4,%5
%endm
%macro WaitForNtmsNotification 3
	API WaitForNtmsNotification,NTMSAPI.dll
	call WaitForNtmsNotification,%1,%2,%3
%endm
%macro WaitForNtmsOperatorRequest 3
	API WaitForNtmsOperatorRequest,NTMSAPI.dll
	call WaitForNtmsOperatorRequest,%1,%2,%3
%endm
