%macro CloseThemeData 1
	API CloseThemeData,UxTheme.dll
	call CloseThemeData,%1
%endm
%macro DrawThemeBackground 6
	API DrawThemeBackground,UxTheme.dll
	call DrawThemeBackground,%1,%2,%3,%4,%5,%6
%endm
%macro DrawThemeBackgroundEx 6
	API DrawThemeBackgroundEx,UxTheme.dll
	call DrawThemeBackgroundEx,%1,%2,%3,%4,%5,%6
%endm
%macro DrawThemeEdge 8
	API DrawThemeEdge,UxTheme.dll
	call DrawThemeEdge,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro DrawThemeIcon 7
	API DrawThemeIcon,UxTheme.dll
	call DrawThemeIcon,%1,%2,%3,%4,%5,%6,%7
%endm
%macro DrawThemeParentBackground 3
	API DrawThemeParentBackground,UxTheme.dll
	call DrawThemeParentBackground,%1,%2,%3
%endm
%macro DrawThemeText 9
	API DrawThemeText,UxTheme.dll
	call DrawThemeText,%1,%2,%3,%4,%5,%6,%7,%8,%9
%endm
%macro EnableThemeDialogTexture 2
	API EnableThemeDialogTexture,UxTheme.dll
	call EnableThemeDialogTexture,%1,%2
%endm
%macro EnableTheming 1
	API EnableTheming,UxTheme.dll
	call EnableTheming,%1
%endm
%macro GetCurrentThemeName 6
	API GetCurrentThemeName,UxTheme.dll
	call GetCurrentThemeName,%1,%2,%3,%4,%5,%6
%endm
%macro GetThemeAppProperties 0
	API GetThemeAppProperties,UxTheme.dll
	call GetThemeAppProperties
%endm
%macro GetThemeBackgroundContentRect 6
	API GetThemeBackgroundContentRect,UxTheme.dll
	call GetThemeBackgroundContentRect,%1,%2,%3,%4,%5,%6
%endm
%macro GetThemeBackgroundExtent 6
	API GetThemeBackgroundExtent,UxTheme.dll
	call GetThemeBackgroundExtent,%1,%2,%3,%4,%5,%6
%endm
%macro GetThemeBackgroundRegion 6
	API GetThemeBackgroundRegion,UxTheme.dll
	call GetThemeBackgroundRegion,%1,%2,%3,%4,%5,%6
%endm
%macro GetThemeBool 5
	API GetThemeBool,UxTheme.dll
	call GetThemeBool,%1,%2,%3,%4,%5
%endm
%macro GetThemeColor 5
	API GetThemeColor,UxTheme.dll
	call GetThemeColor,%1,%2,%3,%4,%5
%endm
%macro GetThemeDocumentationProperty 4
	API GetThemeDocumentationProperty,UxTheme.dll
	call GetThemeDocumentationProperty,%1,%2,%3,%4
%endm
%macro GetThemeEnumValue 5
	API GetThemeEnumValue,UxTheme.dll
	call GetThemeEnumValue,%1,%2,%3,%4,%5
%endm
%macro GetThemeFilename 6
	API GetThemeFilename,UxTheme.dll
	call GetThemeFilename,%1,%2,%3,%4,%5,%6
%endm
%macro GetThemeFont 6
	API GetThemeFont,UxTheme.dll
	call GetThemeFont,%1,%2,%3,%4,%5,%6
%endm
%macro GetThemeInt 5
	API GetThemeInt,UxTheme.dll
	call GetThemeInt,%1,%2,%3,%4,%5
%endm
%macro GetThemeIntList 5
	API GetThemeIntList,UxTheme.dll
	call GetThemeIntList,%1,%2,%3,%4,%5
%endm
%macro GetThemeMargins 7
	API GetThemeMargins,UxTheme.dll
	call GetThemeMargins,%1,%2,%3,%4,%5,%6,%7
%endm
%macro GetThemeMetric 6
	API GetThemeMetric,UxTheme.dll
	call GetThemeMetric,%1,%2,%3,%4,%5,%6
%endm
%macro GetThemePartSize 7
	API GetThemePartSize,UxTheme.dll
	call GetThemePartSize,%1,%2,%3,%4,%5,%6,%7
%endm
%macro GetThemePosition 5
	API GetThemePosition,UxTheme.dll
	call GetThemePosition,%1,%2,%3,%4,%5
%endm
%macro GetThemePropertyOrigin 5
	API GetThemePropertyOrigin,UxTheme.dll
	call GetThemePropertyOrigin,%1,%2,%3,%4,%5
%endm
%macro GetThemeRect 5
	API GetThemeRect,UxTheme.dll
	call GetThemeRect,%1,%2,%3,%4,%5
%endm
%macro GetThemeString 6
	API GetThemeString,UxTheme.dll
	call GetThemeString,%1,%2,%3,%4,%5,%6
%endm
%macro GetThemeSysBool 2
	API GetThemeSysBool,UxTheme.dll
	call GetThemeSysBool,%1,%2
%endm
%macro GetThemeSysColor 2
	API GetThemeSysColor,UxTheme.dll
	call GetThemeSysColor,%1,%2
%endm
%macro GetThemeSysColorBrush 2
	API GetThemeSysColorBrush,UxTheme.dll
	call GetThemeSysColorBrush,%1,%2
%endm
%macro GetThemeSysFont 3
	API GetThemeSysFont,UxTheme.dll
	call GetThemeSysFont,%1,%2,%3
%endm
%macro GetThemeSysInt 3
	API GetThemeSysInt,UxTheme.dll
	call GetThemeSysInt,%1,%2,%3
%endm
%macro GetThemeSysSize 2
	API GetThemeSysSize,UxTheme.dll
	call GetThemeSysSize,%1,%2
%endm
%macro GetThemeSysString 4
	API GetThemeSysString,UxTheme.dll
	call GetThemeSysString,%1,%2,%3,%4
%endm
%macro GetThemeTextExtent 9
	API GetThemeTextExtent,UxTheme.dll
	call GetThemeTextExtent,%1,%2,%3,%4,%5,%6,%7,%8,%9
%endm
%macro GetThemeTextMetrics 5
	API GetThemeTextMetrics,UxTheme.dll
	call GetThemeTextMetrics,%1,%2,%3,%4,%5
%endm
%macro GetWindowTheme 1
	API GetWindowTheme,UxTheme.dll
	call GetWindowTheme,%1
%endm
%macro HitTestThemeBackground 10
	API HitTestThemeBackground,UxTheme.dll
	call HitTestThemeBackground,%1,%2,%3,%4,%5,%6,%7,%8,%9,%10
%endm
%macro IsAppThemed 0
	API IsAppThemed,UxTheme.dll
	call IsAppThemed
%endm
%macro IsThemeActive 0
	API IsThemeActive,UxTheme.dll
	call IsThemeActive
%endm
%macro IsThemeBackgroundPartiallyTransparent 3
	API IsThemeBackgroundPartiallyTransparent,UxTheme.dll
	call IsThemeBackgroundPartiallyTransparent,%1,%2,%3
%endm
%macro IsThemeDialogTextureEnabled 1
	API IsThemeDialogTextureEnabled,UxTheme.dll
	call IsThemeDialogTextureEnabled,%1
%endm
%macro IsThemePartDefined 3
	API IsThemePartDefined,UxTheme.dll
	call IsThemePartDefined,%1,%2,%3
%endm
%macro OpenThemeData 2
	API OpenThemeData,UxTheme.dll
	call OpenThemeData,%1,%2
%endm
%macro SetThemeAppProperties 1
	API SetThemeAppProperties,UxTheme.dll
	call SetThemeAppProperties,%1
%endm
%macro SetWindowTheme 3
	API SetWindowTheme,UxTheme.dll
	call SetWindowTheme,%1,%2,%3
%endm
