%macro AddClusterResourceDependency 2
	API AddClusterResourceDependency,CLUSAPI.dll
	call AddClusterResourceDependency,%1,%2
%endm
%macro AddClusterResourceNode 2
	API AddClusterResourceNode,CLUSAPI.dll
	call AddClusterResourceNode,%1,%2
%endm
%macro BackupClusterDatabase 2
	API BackupClusterDatabase,CLUSAPI.dll
	call BackupClusterDatabase,%1,%2
%endm
%macro CanResourceBeDependent 2
	API CanResourceBeDependent,CLUSAPI.dll
	call CanResourceBeDependent,%1,%2
%endm
%macro ChangeClusterResourceGroup 2
	API ChangeClusterResourceGroup,CLUSAPI.dll
	call ChangeClusterResourceGroup,%1,%2
%endm
%macro CloseCluster 1
	API CloseCluster,CLUSAPI.dll
	call CloseCluster,%1
%endm
%macro CloseClusterGroup 1
	API CloseClusterGroup,CLUSAPI.dll
	call CloseClusterGroup,%1
%endm
%macro CloseClusterNetInterface 1
	API CloseClusterNetInterface,CLUSAPI.dll
	call CloseClusterNetInterface,%1
%endm
%macro CloseClusterNetwork 1
	API CloseClusterNetwork,CLUSAPI.dll
	call CloseClusterNetwork,%1
%endm
%macro CloseClusterNode 1
	API CloseClusterNode,CLUSAPI.dll
	call CloseClusterNode,%1
%endm
%macro CloseClusterNotifyPort 1
	API CloseClusterNotifyPort,CLUSAPI.dll
	call CloseClusterNotifyPort,%1
%endm
%macro CloseClusterResource 1
	API CloseClusterResource,CLUSAPI.dll
	call CloseClusterResource,%1
%endm
%macro ClusterCloseEnum 1
	API ClusterCloseEnum,CLUSAPI.dll
	call ClusterCloseEnum,%1
%endm
%macro ClusterControl 8
	API ClusterControl,CLUSAPI.dll
	call ClusterControl,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro ClusterEnum 5
	API ClusterEnum,CLUSAPI.dll
	call ClusterEnum,%1,%2,%3,%4,%5
%endm
%macro ClusterGroupCloseEnum 1
	API ClusterGroupCloseEnum,CLUSAPI.dll
	call ClusterGroupCloseEnum,%1
%endm
%macro ClusterGroupControl 8
	API ClusterGroupControl,CLUSAPI.dll
	call ClusterGroupControl,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro ClusterGroupEnum 5
	API ClusterGroupEnum,CLUSAPI.dll
	call ClusterGroupEnum,%1,%2,%3,%4,%5
%endm
%macro ClusterGroupOpenEnum 2
	API ClusterGroupOpenEnum,CLUSAPI.dll
	call ClusterGroupOpenEnum,%1,%2
%endm
%macro ClusterNetInterfaceControl 8
	API ClusterNetInterfaceControl,CLUSAPI.dll
	call ClusterNetInterfaceControl,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro ClusterNetworkCloseEnum 1
	API ClusterNetworkCloseEnum,CLUSAPI.dll
	call ClusterNetworkCloseEnum,%1
%endm
%macro ClusterNetworkControl 8
	API ClusterNetworkControl,CLUSAPI.dll
	call ClusterNetworkControl,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro ClusterNetworkEnum 5
	API ClusterNetworkEnum,CLUSAPI.dll
	call ClusterNetworkEnum,%1,%2,%3,%4,%5
%endm
%macro ClusterNetworkOpenEnum 2
	API ClusterNetworkOpenEnum,CLUSAPI.dll
	call ClusterNetworkOpenEnum,%1,%2
%endm
%macro ClusterNodeCloseEnum 1
	API ClusterNodeCloseEnum,CLUSAPI.dll
	call ClusterNodeCloseEnum,%1
%endm
%macro ClusterNodeControl 8
	API ClusterNodeControl,CLUSAPI.dll
	call ClusterNodeControl,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro ClusterNodeEnum 5
	API ClusterNodeEnum,CLUSAPI.dll
	call ClusterNodeEnum,%1,%2,%3,%4,%5
%endm
%macro ClusterNodeOpenEnum 2
	API ClusterNodeOpenEnum,CLUSAPI.dll
	call ClusterNodeOpenEnum,%1,%2
%endm
%macro ClusterOpenEnum 2
	API ClusterOpenEnum,CLUSAPI.dll
	call ClusterOpenEnum,%1,%2
%endm
%macro ClusterRegCloseKey 1
	API ClusterRegCloseKey,CLUSAPI.dll
	call ClusterRegCloseKey,%1
%endm
%macro ClusterRegCreateKey 7
	API ClusterRegCreateKey,CLUSAPI.dll
	call ClusterRegCreateKey,%1,%2,%3,%4,%5,%6,%7
%endm
%macro ClusterRegDeleteKey 2
	API ClusterRegDeleteKey,CLUSAPI.dll
	call ClusterRegDeleteKey,%1,%2
%endm
%macro ClusterRegDeleteValue 2
	API ClusterRegDeleteValue,CLUSAPI.dll
	call ClusterRegDeleteValue,%1,%2
%endm
%macro ClusterRegEnumKey 5
	API ClusterRegEnumKey,CLUSAPI.dll
	call ClusterRegEnumKey,%1,%2,%3,%4,%5
%endm
%macro ClusterRegEnumValue 7
	API ClusterRegEnumValue,CLUSAPI.dll
	call ClusterRegEnumValue,%1,%2,%3,%4,%5,%6,%7
%endm
%macro ClusterRegGetKeySecurity 4
	API ClusterRegGetKeySecurity,CLUSAPI.dll
	call ClusterRegGetKeySecurity,%1,%2,%3,%4
%endm
%macro ClusterRegOpenKey 4
	API ClusterRegOpenKey,CLUSAPI.dll
	call ClusterRegOpenKey,%1,%2,%3,%4
%endm
%macro ClusterRegQueryInfoKey 8
	API ClusterRegQueryInfoKey,CLUSAPI.dll
	call ClusterRegQueryInfoKey,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro ClusterRegQueryValue 5
	API ClusterRegQueryValue,CLUSAPI.dll
	call ClusterRegQueryValue,%1,%2,%3,%4,%5
%endm
%macro ClusterRegSetKeySecurity 3
	API ClusterRegSetKeySecurity,CLUSAPI.dll
	call ClusterRegSetKeySecurity,%1,%2,%3
%endm
%macro ClusterRegSetValue 5
	API ClusterRegSetValue,CLUSAPI.dll
	call ClusterRegSetValue,%1,%2,%3,%4,%5
%endm
%macro ClusterResourceCloseEnum 1
	API ClusterResourceCloseEnum,CLUSAPI.dll
	call ClusterResourceCloseEnum,%1
%endm
%macro ClusterResourceControl 8
	API ClusterResourceControl,CLUSAPI.dll
	call ClusterResourceControl,%1,%2,%3,%4,%5,%6,%7,%8
%endm
%macro ClusterResourceEnum 5
	API ClusterResourceEnum,CLUSAPI.dll
	call ClusterResourceEnum,%1,%2,%3,%4,%5
%endm
%macro ClusterResourceOpenEnum 2
	API ClusterResourceOpenEnum,CLUSAPI.dll
	call ClusterResourceOpenEnum,%1,%2
%endm
%macro ClusterResourceTypeCloseEnum 1
	API ClusterResourceTypeCloseEnum,CLUSAPI.dll
	call ClusterResourceTypeCloseEnum,%1
%endm
%macro ClusterResourceTypeControl 9
	API ClusterResourceTypeControl,CLUSAPI.dll
	call ClusterResourceTypeControl,%1,%2,%3,%4,%5,%6,%7,%8,%9
%endm
%macro ClusterResourceTypeEnum 5
	API ClusterResourceTypeEnum,CLUSAPI.dll
	call ClusterResourceTypeEnum,%1,%2,%3,%4,%5
%endm
%macro ClusterResourceTypeOpenEnum 3
	API ClusterResourceTypeOpenEnum,CLUSAPI.dll
	call ClusterResourceTypeOpenEnum,%1,%2,%3
%endm
%macro CreateClusterGroup 2
	API CreateClusterGroup,CLUSAPI.dll
	call CreateClusterGroup,%1,%2
%endm
%macro CreateClusterNotifyPort 4
	API CreateClusterNotifyPort,CLUSAPI.dll
	call CreateClusterNotifyPort,%1,%2,%3,%4
%endm
%macro CreateClusterResource 4
	API CreateClusterResource,CLUSAPI.dll
	call CreateClusterResource,%1,%2,%3,%4
%endm
%macro CreateClusterResourceType 6
	API CreateClusterResourceType,CLUSAPI.dll
	call CreateClusterResourceType,%1,%2,%3,%4,%5,%6
%endm
%macro DeleteClusterGroup 1
	API DeleteClusterGroup,CLUSAPI.dll
	call DeleteClusterGroup,%1
%endm
%macro DeleteClusterResource 1
	API DeleteClusterResource,CLUSAPI.dll
	call DeleteClusterResource,%1
%endm
%macro DeleteClusterResourceType 2
	API DeleteClusterResourceType,CLUSAPI.dll
	call DeleteClusterResourceType,%1,%2
%endm
%macro EvictClusterNode 1
	API EvictClusterNode,CLUSAPI.dll
	call EvictClusterNode,%1
%endm
%macro FailClusterResource 1
	API FailClusterResource,CLUSAPI.dll
	call FailClusterResource,%1
%endm
%macro GetClusterGroupKey 2
	API GetClusterGroupKey,CLUSAPI.dll
	call GetClusterGroupKey,%1,%2
%endm
%macro GetClusterGroupState 3
	API GetClusterGroupState,CLUSAPI.dll
	call GetClusterGroupState,%1,%2,%3
%endm
%macro GetClusterInformation 4
	API GetClusterInformation,CLUSAPI.dll
	call GetClusterInformation,%1,%2,%3,%4
%endm
%macro GetClusterKey 2
	API GetClusterKey,CLUSAPI.dll
	call GetClusterKey,%1,%2
%endm
%macro GetClusterNetInterface 5
	API GetClusterNetInterface,CLUSAPI.dll
	call GetClusterNetInterface,%1,%2,%3,%4,%5
%endm
%macro GetClusterNetInterfaceKey 2
	API GetClusterNetInterfaceKey,CLUSAPI.dll
	call GetClusterNetInterfaceKey,%1,%2
%endm
%macro GetClusterNetInterfaceState 1
	API GetClusterNetInterfaceState,CLUSAPI.dll
	call GetClusterNetInterfaceState,%1
%endm
%macro GetClusterNetworkId 3
	API GetClusterNetworkId,CLUSAPI.dll
	call GetClusterNetworkId,%1,%2,%3
%endm
%macro GetClusterNetworkKey 2
	API GetClusterNetworkKey,CLUSAPI.dll
	call GetClusterNetworkKey,%1,%2
%endm
%macro GetClusterNetworkState 1
	API GetClusterNetworkState,CLUSAPI.dll
	call GetClusterNetworkState,%1
%endm
%macro GetClusterNodeId 3
	API GetClusterNodeId,CLUSAPI.dll
	call GetClusterNodeId,%1,%2,%3
%endm
%macro GetClusterNodeKey 2
	API GetClusterNodeKey,CLUSAPI.dll
	call GetClusterNodeKey,%1,%2
%endm
%macro GetClusterNodeState 1
	API GetClusterNodeState,CLUSAPI.dll
	call GetClusterNodeState,%1
%endm
%macro GetClusterNotify 6
	API GetClusterNotify,CLUSAPI.dll
	call GetClusterNotify,%1,%2,%3,%4,%5,%6
%endm
%macro GetClusterQuorumResource 6
	API GetClusterQuorumResource,CLUSAPI.dll
	call GetClusterQuorumResource,%1,%2,%3,%4,%5,%6
%endm
%macro GetClusterResourceKey 2
	API GetClusterResourceKey,CLUSAPI.dll
	call GetClusterResourceKey,%1,%2
%endm
%macro GetClusterResourceNetworkName 3
	API GetClusterResourceNetworkName,CLUSAPI.dll
	call GetClusterResourceNetworkName,%1,%2,%3
%endm
%macro GetClusterResourceState 5
	API GetClusterResourceState,CLUSAPI.dll
	call GetClusterResourceState,%1,%2,%3,%4,%5
%endm
%macro GetClusterResourceTypeKey 3
	API GetClusterResourceTypeKey,CLUSAPI.dll
	call GetClusterResourceTypeKey,%1,%2,%3
%endm
%macro GetNodeClusterState 2
	API GetNodeClusterState,CLUSAPI.dll
	call GetNodeClusterState,%1,%2
%endm
%macro MoveClusterGroup 2
	API MoveClusterGroup,CLUSAPI.dll
	call MoveClusterGroup,%1,%2
%endm
%macro OfflineClusterGroup 1
	API OfflineClusterGroup,CLUSAPI.dll
	call OfflineClusterGroup,%1
%endm
%macro OfflineClusterResource 1
	API OfflineClusterResource,CLUSAPI.dll
	call OfflineClusterResource,%1
%endm
%macro OnlineClusterGroup 2
	API OnlineClusterGroup,CLUSAPI.dll
	call OnlineClusterGroup,%1,%2
%endm
%macro OnlineClusterResource 1
	API OnlineClusterResource,CLUSAPI.dll
	call OnlineClusterResource,%1
%endm
%macro OpenCluster 1
	API OpenCluster,CLUSAPI.dll
	call OpenCluster,%1
%endm
%macro OpenClusterGroup 2
	API OpenClusterGroup,CLUSAPI.dll
	call OpenClusterGroup,%1,%2
%endm
%macro OpenClusterNetInterface 2
	API OpenClusterNetInterface,CLUSAPI.dll
	call OpenClusterNetInterface,%1,%2
%endm
%macro OpenClusterNetwork 2
	API OpenClusterNetwork,CLUSAPI.dll
	call OpenClusterNetwork,%1,%2
%endm
%macro OpenClusterNode 2
	API OpenClusterNode,CLUSAPI.dll
	call OpenClusterNode,%1,%2
%endm
%macro OpenClusterResource 2
	API OpenClusterResource,CLUSAPI.dll
	call OpenClusterResource,%1,%2
%endm
%macro PauseClusterNode 1
	API PauseClusterNode,CLUSAPI.dll
	call PauseClusterNode,%1
%endm
%macro RegisterClusterNotify 4
	API RegisterClusterNotify,CLUSAPI.dll
	call RegisterClusterNotify,%1,%2,%3,%4
%endm
%macro RemoveClusterResourceDependency 2
	API RemoveClusterResourceDependency,CLUSAPI.dll
	call RemoveClusterResourceDependency,%1,%2
%endm
%macro RemoveClusterResourceNode 2
	API RemoveClusterResourceNode,CLUSAPI.dll
	call RemoveClusterResourceNode,%1,%2
%endm
%macro RestoreClusterDatabase 3
	API RestoreClusterDatabase,CLUSAPI.dll
	call RestoreClusterDatabase,%1,%2,%3
%endm
%macro ResumeClusterNode 1
	API ResumeClusterNode,CLUSAPI.dll
	call ResumeClusterNode,%1
%endm
%macro SetClusterGroupName 2
	API SetClusterGroupName,CLUSAPI.dll
	call SetClusterGroupName,%1,%2
%endm
%macro SetClusterGroupNodeList 3
	API SetClusterGroupNodeList,CLUSAPI.dll
	call SetClusterGroupNodeList,%1,%2,%3
%endm
%macro SetClusterName 2
	API SetClusterName,CLUSAPI.dll
	call SetClusterName,%1,%2
%endm
%macro SetClusterNetworkName 2
	API SetClusterNetworkName,CLUSAPI.dll
	call SetClusterNetworkName,%1,%2
%endm
%macro SetClusterNetworkPriorityOrder 3
	API SetClusterNetworkPriorityOrder,CLUSAPI.dll
	call SetClusterNetworkPriorityOrder,%1,%2,%3
%endm
%macro SetClusterQuorumResource 3
	API SetClusterQuorumResource,CLUSAPI.dll
	call SetClusterQuorumResource,%1,%2,%3
%endm
%macro SetClusterResourceName 2
	API SetClusterResourceName,CLUSAPI.dll
	call SetClusterResourceName,%1,%2
%endm
